
#include "hfpolymesh.h"

void HFPolyMesh::StoreCell(int i, int j, int k, int select){
	int t[3]={i,j,k};
	t[select]+=1;
	switch(select){
		case 0:
			//*** Cell i,j,k Face 4, 6 ***
			AddFace4ToCell(t[0], t[1], t[2]);
			AddFace6ToCell(t[0], t[1], t[2]);
			//*** Cell i,j+1,k Face 3, 4 ***
			AddFace3ToCell(t[0], t[1]+1, t[2]);
			AddFace4ToCell(t[0], t[1]+1, t[2]);
			//*** Cell i,j+1,k+1 Face 1, 3 ***
			AddFace1ToCell(t[0], t[1]+1, t[2]+1);
			AddFace3ToCell(t[0], t[1]+1, t[2]+1);
			//*** Cell i,j,k+1 Face 1, 6 ***
			AddFace1ToCell(t[0], t[1], t[2]+1);
			AddFace6ToCell(t[0], t[1], t[2]+1);
			break;
		case 1:
			//*** Cell i,j,k Face 4, 5 ***
			AddFace4ToCell(t[0], t[1], t[2]);
			AddFace5ToCell(t[0], t[1], t[2]);
			//*** Cell i+1,j,k Face 2, 4 ***
			AddFace2ToCell(t[0]+1, t[1], t[2]);
			AddFace4ToCell(t[0]+1, t[1], t[2]);
			//*** Cell i+1,j,k+1 Face 1, 2 ***
			AddFace1ToCell(t[0]+1, t[1], t[2]+1);
			AddFace2ToCell(t[0]+1, t[1], t[2]+1);
			//*** Cell i,j,k+1 Face 1, 5 ***
			AddFace1ToCell(t[0], t[1], t[2]+1);
			AddFace5ToCell(t[0], t[1], t[2]+1);
			break;
		case 2:
			//*** Cell i,j,k Face 5, 6 ***
			AddFace5ToCell(t[0], t[1], t[2]);
			AddFace6ToCell(t[0], t[1], t[2]);
			//*** Cell i,j+1,k Face 3, 5 ***
			AddFace3ToCell(t[0], t[1]+1, t[2]);
			AddFace5ToCell(t[0], t[1]+1, t[2]);
			//*** Cell i+1,j+1,k Face 2, 3 ***
			AddFace2ToCell(t[0]+1, t[1]+1, t[2]);
			AddFace3ToCell(t[0]+1, t[1]+1, t[2]);
			//*** Cell i+1,j,k Face 2, 6 ***
			AddFace2ToCell(t[0]+1, t[1], t[2]);
			AddFace6ToCell(t[0]+1, t[1], t[2]);
			break;
		default:
			break;
		}
	}

