#ifndef SAVABLE_H
#define SAVABLE_H

#include <qtextstream.h>

/// Interface for saving CoTeX tree elements in a ctx file.
class Savable {
public :
  virtual void save (QTextStream & stream) = 0;
  virtual void load (QTextStream & stream) = 0;
};

#endif // SAVABLE_H
