
#include "hfpolymesh.h"

void HFPolyMesh::GraphBuildCase2(const int* Edge, int* I[12]){
	int E[2];
	int C=0;
	//*** Cycle Through Face Edges ***
	for(int A=0; A<4; A++){
		//*** If Edge is not Empty Make it a connection Edge ***
		if(*I[Edge[A]]>=0) E[C++]=Edge[A];
		}
	//*** Connect the Found Edges ***

	if(itsConnect[E[0]][0]<0) itsConnect[E[0]][0]=E[1];
	else itsConnect[E[0]][1]=E[1];

	if(itsConnect[E[1]][0]<0) itsConnect[E[1]][0]=E[0];
	else itsConnect[E[1]][1]=E[0];
	}

void HFPolyMesh::GraphBuildCase4(double V, double A1, double A2, const int* Edge){
	if(V<(A1/A2)){
		if(itsConnect[Edge[0]][0]<0) itsConnect[Edge[0]][0]=Edge[1];
		else itsConnect[Edge[0]][1]=Edge[1];

		if(itsConnect[Edge[1]][0]<0) itsConnect[Edge[1]][0]=Edge[0];
		else itsConnect[Edge[1]][1]=Edge[0];

		if(itsConnect[Edge[2]][0]<0) itsConnect[Edge[2]][0]=Edge[3];
		else itsConnect[Edge[2]][1]=Edge[3];

		if(itsConnect[Edge[3]][0]<0) itsConnect[Edge[3]][0]=Edge[2];
		else itsConnect[Edge[3]][1]=Edge[2];
		}
	else{
		if(itsConnect[Edge[0]][0]<0) itsConnect[Edge[0]][0]=Edge[3];
		else itsConnect[Edge[0]][1]=Edge[3];

		if(itsConnect[Edge[3]][0]<0) itsConnect[Edge[3]][0]=Edge[0];
		else itsConnect[Edge[3]][1]=Edge[0];

		if(itsConnect[Edge[2]][0]<0) itsConnect[Edge[2]][0]=Edge[1];
		else itsConnect[Edge[2]][1]=Edge[1];

		if(itsConnect[Edge[1]][0]<0) itsConnect[Edge[1]][0]=Edge[2];
		else itsConnect[Edge[1]][1]=Edge[2];
		}
	}